.file {
    width: 12em;//change to 12
    height: 6em;//change to 6
    margin-left: 20px;
    font-size: 1em;
    font-weight: 600;
    white-space: normal;
    line-height: 1.3em;
    background-color: white;
    box-shadow: 0px 4px 4px 1px rgb(0 0 0 / 25%)!important;
    border-radius: 0.9em;


}
* {
  font-family: 'Hepta Slab', serif !important;
}
::-webkit-scrollbar {
  width: 20px;

}

::-webkit-scrollbar-track {
  background-color: transparent;
  margin-top: 10em;
  margin-bottom: 3em;
}

::-webkit-scrollbar-thumb {
  background-color: #CFC5DF;
  border-radius: 20px;
  border: 6px solid transparent;
  background-clip: content-box;


}

::-webkit-scrollbar-thumb:hover {
  background-color: rgb(103 58 183 / 100%)
}
.mainbody{
  @media screen and (max-width: 768px) {
    margin: 1em 1em 0 1em !important;
  }
  margin: 2em 8em 0 8em !important;
  background-color: rgb(113 112 112 / 15%);
  border-radius: 3em;
  box-shadow: 0px 4px 4px 1px rgb(0 0 0 / 25%)!important;
  overflow: auto;
  height: 78vh;
  
  /* custom scrollbar */

  .participant{
    display: flex;
    flex-direction: row;
    align-items: center;
    .text{
      margin-left: 5em;
      font-weight: 600;
      font-size: 1em;
      padding:0;
    }
    hr{

      width: 70%;
      border: 0;
      margin-right:8em;
      height: 1px;;margin-right: 8em;background-color:#666;border: 0 none;
      margin-left: 10px;


    }
  }
}
.bodyheader{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;

  padding-top: 4em ;
  margin-bottom: 4em;
  position: sticky;
  .uploadbutton{
    position: absolute;
    right:2em;
  }
  input:focus {
    outline: none !important;


}
  .searchbar{
    padding-left: 1.5em;
    text-indent: 1.5em;
    width:40%;
    height: 2em;
    border-radius: 2em;
    padding-right: 1em;
    font-size: 1.3em;

    background-color: transparent;
    border: 2px solid rgb(103 58 183 / 100%);
    box-shadow: 0px 4px 4px 1px rgb(0 0 0 / 25%)!important;
  }

}
::placeholder {
  color:  rgb(103 58 183 / 40%);
  font-weight: 700;
  opacity: 1; /* Firefox */
}
.row-files {
 margin: 1.5em 9em 1.5em 9em!important;



}
mat-card{
    box-shadow: 0px 4px 4px 1px rgb(0 0 0 / 25%)!important;


}
.message{
  margin: 0.5em auto 0em auto!important;
}
.info-message {
    max-width: 500px;
    margin: 2em auto 0em auto;
    text-align: center;
    //background-color: rgb(103 58 183 / 70%);
    padding-top: 1em;
    padding-bottom: 1em;
    font-size: 1.3em;
    border-radius: 0.7em;
    border: 2px solid #673AB7;
    hr{
      margin-top: 1.1em;
      margin-bottom: 1.1em;
    }
    a{

        text-decoration:none;
    }
    p{
        display: inline;
        font-size: 20px;
        margin-top: 20em;
    }
    .number{
      content: ' \25CF';
    font-size: 200px;
    }
    .number{

        width:100px;
        height:100px;
        font-size: 30px;
        //padding: 0.2em;
        //margin:.5em;

        background: #673AB7;

        text-align: center;
        font-weight: bold;
        color:white;

    }
}
//button css
@mixin cross($size: 20px, $color: currentColor, $thickness: 1px) {
    margin: 0;
    padding: 0;
    border: 0;
    background: none;
    position: relative;
    width: $size;
    height: $size;

    &:before,
    &:after {
      content: '';
      position: absolute;
      top: ($size - $thickness) / 2;
      left: 0;
      right: 0;
      height: $thickness;
      background: $color;
      border-radius: $thickness;
    }

    &:before {
      transform: rotate(45deg);
    }

    &:after {
      transform: rotate(-45deg);
    }

    span {
      display: block;
    }

  }


  .btn-close {
    margin: 0;
    border: 0;
    padding: 0;
    background:rgb(103 58 183 / 25%);
    border-radius: 50%;
    width: 80px;
    height: 80px;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: all 150ms;

    .icon-cross {
      @include cross(40px, #fff, 6px);
    }

    &:hover,
    &:focus {
      transform: rotateZ(90deg);
      background: rgb(103 58 183 / 100%);
    }

  }
  .visually-hidden {
    position: absolute !important;
    clip: rect(1px, 1px, 1px, 1px);
    padding: 0 !important;
    border: 0 !important;
    height: 1px !important;
    width: 1px !important;
    overflow: hidden;
  }
  .uploadbutton{


    padding: .25rem 1.25rem;
    border-radius: 10rem;
    box-shadow: 0px 4px 4px 1px rgb(0 0 0 / 25%)!important;

    border: 2px solid #673AB7!important;

    display: flex;
    border:none;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-size: 1em;
    cursor: pointer;
    img{
        padding-left: 1em;
    }
  }
  .uploadheading{
      margin-top: 2m;
      display: flex;
      align-items: center;
      justify-content: center;
      justify-content: space-between;
      .uploadtitle{
          font-size: 3em;
          font-weight: 700;
          color:#673AB7;
      }

  }
  .uploadbody{
        margin-top: 3em;
        margin: 3em 11em 3em 11em;

        display:flex;
        align-items: center;
        justify-content: center;
        position:relative;
        //border: 2px dashed #673AB7;
        svg{
          position: relative;
          padding-top: 2em;
          margin-bottom: 2em;
        }
        .contents{
          position: absolute;

          display: flex;
          align-items: center;
          justify-content: center;
          flex-direction: column;

          .uploadtext{
              font-size: 2em;
              text-align: center;
              line-height: 1em;
          }


        }
        .uploadbutton{

          color: #673AB7;
        }
        .or{
          margin-top: 1em;
          margin-bottom: 1em;
        }
}
        .file-input{
          width: 100%;
          height: 100%;
          position: absolute;
          opacity: 0;
        }
// drop down style
.dropbtn {
  background-color: #673ab7;
  min-width: 13em;
  color: white;
  padding: 0.5em 1em 0.5em 1em;
  font-size: 16px;
  border: none;
  cursor: pointer;
  /*
  -webkit-box-shadow:inset 10px 0px 0px 10px #f00;
  -moz-box-shadow:inset 10px 0px 0px 10px #f00;
   box-shadow:inset 0px 0px 0px 3px white;*/
   border-radius: 12px;
   outline: 2px solid white;
    outline-offset: -5px;
}
.dropdown {
  position: relative;
  display: inline-block;
}
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #673ab7;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  width:100%;
}
.dropdown-content a {
  color: white;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  font-size: 0.8em;
}
.dropdown-content a:hover {background-color: #C2B0E2;}
.dropdown:hover .dropdown-content {
  display: block;
}
.dropdown:hover .dropbtn {
  background-color: #673ab7;
}